Subject: Re: Linking egcs built DLL's with MSVC++??
From: [email-masked] (jeffdb)

20 Aug 1998 17:37:09 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Mark

Bad news, this is impossible for several reasons.

1. binary incompatibility between MS/CYGNUS pei libraries (currently being worked on :)
2. name mangeling/abi incompatibility between MS/gnu C++ (according to the gnu G++ FAQ this is unresolvable
    since MS's abi is proprietary although I seem to recall having heard that it is being worked on)
3. dll startups for cygwin32 dlls need to initialize the cygwin32 posix layer, which
    means using the cygwin32 mainCRTStartup, which you can't with link.exe because AFAIK
    it can't manufacture the __data_start__ __text_start__ etc. symbols in the proper places.

PLEASE anyone who knows workarounds for any of the above, jump in!!!

On Tue, 18 Aug 1998 11:16:58 +0200, you wrote:

>Hi,
>
>a similar kind of question has been asked several times on
>this list now, but there doesn't seem to be a definitive
>answer yet:
>
>How do I manage to link an egcs-(or gcc) built dll (here: libX11.dll)
>to a C++-mainprog (compiled with MSVC++-5.0) with the MSVC linker ?
>
>- Is it possible at all? If yes, does it also works for C++ objects?
>
>- Which steps are necessary?
>
>Apparently I first need a .lib-file (here: libX11.lib) which the
>MSVC++ linker understands; but how do I generate this?
>When I got the .lib file what else is to be done next?
>
>Many thanks to any help on this matter!
>
>ciao
>  Mark Becker

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".